#include<bits/stdc++.h>
using namespace std;

int main()
{
    char c1,c2;
    int a1,a2;
    cin >> c1 >> c2 >> a1 >> a2;
    if((a1 > (a2 + 1)) || (a2 > (a1 + 1)))
    cout << "nemoguce" << endl;
    else
    {
        if(a1 > a2)
        {
        for(int i = 0; i < a1 - 1; i++)
        cout << c1 << c2;
        cout << c1;
        }
        
        else if(a2 > a1)
        {
            for(int i = 0; i < a2 - 1; i++)
            cout << c2 << c1;
            cout << c2;
        }
        else
        {
            for(int i = 0; i < a1; i++)
            cout << c1 << c2;
        }
    } 
    return 0;
}